# $Revision: 1.15 $, $Date: 2008/07/27 22:23:27 $
Summary:	idnkit - internationalized domain name toolkit
Summary(pl.UTF-8):	idnkit - zestaw narzędzi do umiędzynarodowionych nazw domen
Name:		idnkit
Version:	1.0
Release:	5
License:	BSD-like
Group:		Libraries
Source0:	http://www.nic.ad.jp/ja/idn/idnkit/download/sources/%{name}-%{version}-src.tar.gz
# Source0-md5:	e8863c21c5049af358bd59c384ff3e5d
URL:		http://www.nic.ad.jp/en/idn/index.html
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The 'idnkit' is an open source, BSD-like licensed software that
provides functionalities about Internationalized Domain Name
processing standardized at IETF. Major features that idnkit provides
are as follows:
 - libidnkit - Core library for IDN processing,
 - libidnkitlite - Light Weight library for IDN processing (UTF-8
   only),
 - idnconv - DNS zone / configuration file encoding converter
 - runidn / idn wrapper - Dynamic link resolver library for UNIX /
   Windows

%description -l pl.UTF-8
idnkit to wolnodostępne na licencji typu BSD oprogramowanie
zapewniające funkcjonalność związaną z obsługą umiędzynarodowionych
nazw domen (IDN - Internationalized Domain Name) standaryzowaną przez
IETF. Główne własności dostarczane przez idnkit są następujące:
 - libidnkit - główna biblioteka do przetwarzania IDN,
 - libidnkitlite - lekka biblioteka do przetwarzania IDN (tylko UTF-8),
 - idnconv - konwerter kodowania plików konfiguracyjnych i stref DNS
 - runidn / idn wrapper - dynamicznie konsolidowana biblioteka
   resolvera dla uniksów i Windows.

%package devel
Summary:	Header files for idnkit
Summary(pl.UTF-8):	Pliki nagłówkowe idnkit
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for idnkit.

%description devel -l pl.UTF-8
Pliki nagłówkowe idnkit.

%package static
Summary:	Static idnkit library
Summary(pl.UTF-8):	Statyczna biblioteka idnkit
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static idnkit library.

%description static -l pl.UTF-8
Statyczna biblioteka idnkit.

%prep
%setup -q -n %{name}-%{version}-src

%build
cp /usr/share/automake/config.sub  .
%configure2_13 \
	--enable-extra-ace \
	--enable-runidn

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README NEWS
%doc %lang(ja) README.ja
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/idn.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/idnalias.conf
%attr(755,root,root) %{_bindir}/idnconv
%attr(755,root,root) %{_bindir}/runidn
%attr(755,root,root) %{_libdir}/libidnkit*.so.*.*.*
# this one is used by runidn
%{_libdir}/libidnkitres.la
%dir %{_datadir}/idnkit
%{_datadir}/idnkit/*.map
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libidnkit*.so
%{_libdir}/libidnkit.la
%{_libdir}/libidnkitlite.la
%dir %{_includedir}/idn
%{_includedir}/idn/*.h
%{_mandir}/man3/*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libidnkit*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: idnkit.spec,v $
Revision 1.15  2008/07/27 22:23:27  arekm
- release 5

Revision 1.14  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.12  2006/10/25 18:26:51  glen
- strict internal deps; adapter

Revision 1.11  2005/12/04 22:34:26  glen
- adapterized (sorted verify flags)

Revision 1.10  2004/01/30 20:16:42  krzak
- revert last change. My mistake.

Revision 1.9  2004/01/30 19:44:33  krzak
- BR: libiconv-devel to work.
- rel 4

Revision 1.8  2004/01/02 17:31:33  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.7  2003/12/22 19:55:38  jajcus
- copy config.sub from automake (last commit log was bogus)

Revision 1.6  2003/12/22 19:53:23  jajcus
- JBIGLIB fixed (/%{_lib}/ instead of /lib/)

Revision 1.5  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.4  2003/10/25 12:37:56  qboosh
- only libidnkitres.la (used by runidn) in base, the rest of *.la in-devel

Revision 1.3  2003/10/03 16:23:47  qboosh
- pl, cleanups

Revision 1.2  2003/09/19 00:36:47  malekith
- own include/idn dir
- release 2

Revision 1.1  2003/09/11 09:19:01  blues
- initial release - IDN DNS manipulation kit
